Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.cache
Class JbossPojoCacheProvider

    java.lang.Object
      org.jboss.seam.cache.CacheProvider<T>
          org.jboss.seam.cache.AbstractJBossCacheProvider<org.jboss.cache.aop.PojoCache>
              org.jboss.seam.cache.JbossPojoCacheProvider

    @Name(value="org.jboss.seam.cache.cacheProvider")
    @Scope(value=APPLICATION)
    @BypassInterceptors
    @Install(value=false,
             precedence=0,
             classDependencies={"org.jboss.cache.aop.PojoCache","org.jgroups.MembershipListener","org.jboss.aop.Dispatcher"})
    @AutoCreate
    public class JbossPojoCacheProvider

extends AbstractJBossCacheProvider<org.jboss.cache.aop.PojoCache>

Implementation of CacheProvider backed by JBoss POJO Cache 1.x

Author:
  Sebastian Hennebrueder, Pete Muir

Field Summary

Fields inherited from class org.jboss.seam.cache.CacheProvider
`DEFAULT_REGION`

Constructor Summary
`JbossPojoCacheProvider()`

Method Summary
`void` | `clear()` Removes all objects from all cache regions
`void` | `create()`
`void` | `destroy()`
`Object` | `get(String region, String key)` Fetches an object for the given key from the cache and returns it if found.
`org.jboss.cache.aop.PojoCache` | `getDelegate()`
`void` | `put(String region, String key, Object object)` Puts an object into the cache.
`void` | `remove(String region, String key)` Removes an object from the cache.

Methods inherited from class org.jboss.seam.cache.AbstractJBossCacheProvider
`getFqn, setDefaultRegion`

Methods inherited from class org.jboss.seam.cache.CacheProvider
`get, get, get, getConfiguration, getConfigurationAsStream, getDefaultRegion, instance, instance, put, remove, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbossPojoCacheProvider

    public JbossPojoCacheProvider()

Method Detail

### create

    @Create
    public void create()

### destroy

    @Destroy
    public void destroy()

### get

    public Object get(String region,
                      String key)

  Description copied from class: `CacheProvider`
  Fetches an object for the given key from the cache and returns it if found. Only the specified cache region will be searched.

  Specified by:
    `get` in class `CacheProvider<org.jboss.cache.aop.PojoCache>`
  Parameters:
    `region` - - the name of a cache region
    `key` - - a key to identify the object.
  Returns:
    - the object if found or null if not

### put

    public void put(String region,
                    String key,
                    Object object)

  Description copied from class: `CacheProvider`
  Puts an object into the cache. The object is placed in the specified cache region under the given key.

  Specified by:
    `put` in class `CacheProvider<org.jboss.cache.aop.PojoCache>`
  Parameters:
    `region` - - the name of a cache region
    `key` - - a key to identify the object
    `object` - - the object to be stored in the cache

### remove

    public void remove(String region,
                       String key)

  Description copied from class: `CacheProvider`
  Removes an object from the cache. The object is removed from the specified cache region under the given key.

  Specified by:
    `remove` in class `CacheProvider<org.jboss.cache.aop.PojoCache>`
  Parameters:
    `region` - - the name of a cache region
    `key` - - a key to identify the object

### getDelegate

    public org.jboss.cache.aop.PojoCache getDelegate()

  Specified by:
    `getDelegate` in class `CacheProvider<org.jboss.cache.aop.PojoCache>`
  Returns:
    - the cache the cache provider delegates to

### clear

    public void clear()

  Description copied from class: `CacheProvider`
  Removes all objects from all cache regions

  Specified by:
    `clear` in class `CacheProvider<org.jboss.cache.aop.PojoCache>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.